/** 
 * ValueObjectHandler.java
 * @author 임새미 
 * @since 2016. 10. 17.
 *
 *  	 수정일                     수정자                                       수정내용
 *  -------------	--------	---------------------------
 *  2016. 10. 17. 	    임새미				       최초생성
 * 
 */
package kcg.faics.board.util;

import kcg.faics.board.vo.BoardCommentVO;
import kcg.faics.board.vo.BoardFileVO;
import kcg.faics.board.vo.BoardVO;

/** 
 * ValueObjectHandler.java
 * @author 임새미 
 * @since 2016. 10. 17.
 *
 *  	 수정일                     수정자                                       수정내용
 *  -------------	--------	---------------------------
 *  2016. 10. 17. 	    임새미				       최초생성
 * 
 */
public class BoardVOHandler {

	public static BoardVO getBoardVO(final BoardVO boardVO) {
		BoardVO vo = new BoardVO();
		vo.setId(boardVO.getId());
		vo.setSeq(boardVO.getSeq());
		return vo;
	}
	
	public static BoardVO getBoardVO(final String bdId, final int bdSeq) {
		BoardVO vo = new BoardVO();
		vo.setId(bdId);
		vo.setSeq(bdSeq);
		return vo;
	}
	
	public static BoardFileVO getBFileVO(final BoardVO boardVO) {
		BoardFileVO vo = new BoardFileVO();
		vo.setId(boardVO.getId());
		vo.setParentSeq(boardVO.getSeq());
		return vo;
	}
	
	public static BoardFileVO getBFileVO(final String bdId, final int bdSeq, final int bfSeq) {
		BoardFileVO vo = new BoardFileVO();
		vo.setId(bdId);
		vo.setParentSeq(bdSeq);
		vo.setSeq(bfSeq);
		return vo;
	}
	
	public static BoardFileVO getBFileVO(BoardFileVO boardFileVO) {
		BoardFileVO vo = new BoardFileVO();
		vo.setId(boardFileVO.getId());
		vo.setParentSeq(boardFileVO.getParentSeq());
		return vo;
	}
	
	public static BoardCommentVO getBCommentVO(final BoardVO boardVO) {
		BoardCommentVO vo = new BoardCommentVO();
		vo.setId(boardVO.getId());
		vo.setParentSeq(boardVO.getSeq());
		return vo;
	}

	
	
}
